# Instructor tips

So you've been tasked with training the next wave of aspiring React Native developers. _Excellent._

You can expect each module in this workshop to take roughly 30 to 45 minutes. Give yourself an extra 15 minutes per module to answer questions. Ideally, students should have already installed Node and Expo before starting, along with an emulator if that's what they want to use.

## Prep

If possible, try to get there ahead of time to greet students and get settled in.

- Launch your own emulator.
- Open some resources in your browser:
  - https://alternativeto.net/software/sublime-text
  - https://pusher.com/chatkit
  - https://momentjs.com
  - http://bit.ly/yakitty-users
- Get everyone to install the Expo app on their phones and machines. They can also create a free account on [expo.io](https://expo.io), but should be able to develop without one.
- Make sure _both_ your emulator and code editor will be visible on the projector when you start.
- Show the README page on the projector, so that students can open the [bit.ly](http://bit.ly/yakitty) link as they settle in.
- Take out your notebook, if you'd like to take notes or write down feedback.
- Grab some water, and enjoy yourself :)

## Workshop

- Introduce yourself! Who are you? What do you do? What are your hobbies?
- Introduce the mentors and/or volunteers!
- Thank the organizers and the providers of the space!
- Make sure everyone can hear you well.
- Encourage pair programming. They'll end up moving faster if they're helping each other.
- Try to get a feel for the audience's experience with programming, and adjust your pace accordingly.
- Start with the _Intro_ module, to make sure everyone is comfortable with the command line.
- If the workshop is scheduled to last more than 1.5 hours, plan to take breaks every 1.5 hours or so. Breaks should be long enough so everyone can use the restrooms if needed or catch-up on the code, but not so long that they get too distracted. Anywhere between 5 and 10 mins is usually good enough.
